cjk (4.8.4+git20170127-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Convert to git, update VCS fields, update my email (Closes: #925915)
  * Add dependency on fonts-arphic-uming (Closes: #925904)

  [ Danai SAE-HAN (韓達耐) ]
  * [debian/control]
      - Bump up the Standards-Version from 4.1.0 to 4.3.0.3.
  * [debian/TODO] Update.

  * Replace some "rm -f" in d/rules clean target by d/clean.
  * Fix day-of-week for changelog entries 4.6.0+cvs20051031-10,
    4.6.0+cvs20051031-5 (thanks to Debian Janitor).
  * Project is considered to be dead upstream, remove
    get-orig-source target from d/rules, correct upstream URL.
  * More lintian work.
    - Override for files having national encoding.
    - Replace versioned "Conflicts" by "Breaks/Replaces".

 -- Hilmar Preusse <hille42@web.de>  Tue, 02 Mar 2021 09:44:23 +0100

cjk (4.8.4+git20170127-2) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #875932)
    [debian/rules]
      - Remove manual patching and unpatching in a 3.0 (quilt) package.
      - Let dh_auto_configure and dh_auto_build pass cross flags.
        Bug report and patch thanks to Helmut Grohne!

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 26 Sep 2017 21:26:31 +0800

cjk (4.8.4+git20170127-1) unstable; urgency=low

  [ Danai SAE-HAN (韓達耐) ]
  * I tried to use dh-elpa but to no avail, despite the maintainer claiming
    it should be used now for all Emacs Lisp files even if upstream is not
    using ELPA.  Feel free to send in a patch.  I've given up.
  * [debian/copyright]
      - Fix typo: change ffi.org to ffii.org; thanks to Hilmar Preuße.
        (Closes: #856804)
  * [debian/patches/04_extend_examplefiles.diff]
      - Remove some unnecessary changes to some example files.
  * [debian/control]
      - Bump up debhelper dependency to version >=10.2.5.
      - Bump up the Standards-Version from 3.9.8 to 4.1.0; looks all good.
      - Remove dependency on autotools-dev; compat=10 now includes it by
        default.
  * [debian/compat]
      - Bump from 9 to 10.
  * [patches/03_Makefile.diff]
      - Make sure "make" is not run if "configure" fails (Closes: #875478).
        Thanks Helmut!
  * [debian/rules]
      - Remove dh_autotools-dev_restoreconfig; dh_update_autotools_config(1)
        now says dh_clean will restore the original config.{guess,sub}.
      - Replace "dh_autotools-dev_updateconfig" with
        "dh_update_autotools_config".
  * Bump the release to the latest GIT release from 27 January 2017:
      - * examples/*.tex: Fixes Vietnamese bit-rot, adds requirement comments
      - * utils/lisp/emacs/cjk-enc.el (cjk-coding): Remove `chinese-big5'
      - [cjk-enc.el] Updated to work with Emacs 25 and later.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 15 Sep 2017 19:37:31 +0800

cjk (4.8.4+git20150701-2) unstable; urgency=medium

  [ Norbert Preining ]
  * fix Vcs fields
  * remove hacks for c-auto.h, libkpathsea-dev is fixed

  [ Danai SAE-HAN (韓達耐) ]
  * [debian/control]
      - Bump dh to >=9.20160115 for the automatic creation of -dbgsym
        packages;
      - bump Standards-Version from 3.9.6 to 3.9.8 (no changes required).
  * [debian/rules]
      - Apply patch from Santiago Vila to fix FTBFS (Closes: #806608).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Wed, 11 May 2016 01:50:21 +0800

cjk (4.8.4+git20150701-1) unstable; urgency=medium

  * update patches for new release
  * fix building when LDFLAGS contains path with spaces (Closes:  #767870)
  * fix building with new libkpathsea (Closes: #790656)
  * fix emacs installation warnings (Closes: #765595)

 -- Norbert Preining <preining@debian.org>  Wed, 01 Jul 2015 12:47:24 +0900

cjk (4.8.3+git20140831-1) unstable; urgency=low

  * The "Alexander Nikolajevitsch Scriabin" release.
  *  Bump the release to the latest GIT release from 31 August 2014:
      - Fix in hbf2gf;
      - fix space handling of non-CJK characters.
  * [debian/control]
      - Let latex-cjk-korean recommend `texlive-lang-korean' instead of
        `ko.tex-extra-hlfont';
      - bump Standards-Version from 3.9.3 to 3.9.6 (no changes required);
      - change "package" to "metapackage" for "latex-cjk-all" to not
        confuse Lintian;
      - Build-Depend on texlive-lang-other (>= 2013.20130523), not
        2013.20130523-1;
      - Update Build-Dependency of debhelper from (>= 8.1.0~) to
        (>= 9.20141003).
  * [debian/control,debian/rules] Bug fix: "use autotools-dev to update
    config.{sub,guess} for new arches", thanks to Logan Rosen
    (Closes: #733476).
  * [debian/compat] Switch from version 8 to 9.
  * [debian/patches/03_Makefile.diff] Add a fix to harden the `hbf2gf'
     and `*conv' binaries, in particular to have "read-only reolcations"
     while compiling with GCC.  I use `dpkg-buildflags' instead of hard
     configuration in the Makefile.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 05 Oct 2014 16:16:19 +0800

cjk (4.8.3+git20120914-2) unstable; urgency=low

  * The "Released" release.
  * [debian/control, debian/rules]:
     - switch dependency from the obsolete `thailatex' and
       `latex-fonts-thai-tlwg' packages to texlive-lang-other
       (>= 2013.20130523-1).  Thanks to Theppitak Karoonboonyanan
       (Closes: #709686);
     - move from /u/s/doc/texmf to /u/s/texmf/doc and depend on
       tex-common (>= 4).
  * [debian/README.source] Typo.
  * Rebuild against some fresh TeXLive packages and move fromo Debian
    experimental to unstable.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 17 Jun 2013 09:20:35 +0800

cjk (4.8.3+git20120914-1) experimental; urgency=low

  * The "Thank you" release.
  * Acknowledge work by Norbert to make CJK automagically work with TL2012.
  * New upstream release:
     - Make cjk-enc.el work with Emacs23;
     - improve captions for Chinese (T/S) and Japanese;
     - fix imcompatibility with ulem.sty;
     - remove xCJK; use the xeCJK package instead;
     - accept Thai input in UTF-8 with cjk-enc.el and add a thai_utf8.tex
       example file;
     - add support for Thai font tlwg v0.5;
     - make some commands robust (\CJKtilde, \standardtilde, \CJKspace,
       \CJKnospace);
     - add Greek to the CJKutf8.tex example because the recent lgrx package
       delivers good Babel UTF-8 support for LGR encoding (however,
       cut-and-paste support remains a problem; see the upstream
       debian/changelog.gz file for more information).
  * [debian/*] Do not build the xcjk package anymore as it is made obsolete
     upstream.  Instead use the Debian package "texlive-xetex" which includes
     the LaTeX package "xeCJK".
  * [debian/README.Debian] Add information about the deprecation of
     latex-cjk-xcjk and about the use of Vietnamese and Greek.
  * [debian/patches/
  * [debian/patches/10_add_comments_in_KS_example_for_working_ko.tex_fonts.diff
     New patch.  hlatex-fonts-base does not exist; its replacement
     ko.tex-extra-hlfont does not contain all necessary fonts.  Explain which
     fonts do work, and modify the original KS.tex example file

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sat, 12 Jan 2013 00:18:49 +0800

cjk (4.8.2+git20111216-2) unstable; urgency=low

  * build for TL2012: depend on tex-common >= 3, remove old config file
    latex-cjk-thai in updmap.d
  * bump manual dep on tex-common to >= 3
  * fix location of afm files
  * remove hyphen definition, it is shipped in TL, where also the files
    are, add the necessary rm_conffile calls to latex-cjk-chinese.maintscript
  * bump build dep on latex-fonts-thai-tlwg for correct afm location
  * bump standards version, no changes necessary
  * fix build-deps

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:28:26 +0900

cjk (4.8.2+git20111216-1) unstable; urgency=low

  * The "Stayin' alive" release.
  * New upstream release:
     - New macros for CJKfntef.sty;
     - fix line breaks with furigana;
     - update kpathsea support (remove ancient stuff);
     - introduce `LATEX' preprocessor macro;
     - various fixes for cefconv;
     - make cjk-enc.el work with Emacs23+.
  * Rebuild against latest TeXlive 2009 packages in Debian.
  * [debian/rules]
     - Remove bashism in get-orig-source stanza;
     - do not use "git reset --hard" anymore, but use the GIT commit hash
       with "git archive".  Thanks to Miroslav Suchý, Joey Hess and
       Bernard R. Link.
  * [debian/compat] Upgrade Debhelper compatibility from version 7 to 8.
  * [debian/control]
     - Depend on debhelper (>= 8);
     - bump Standards-Version to 3.9.2; no changes;
     - do not suggest the deprecated TTF packages for the xcjk package and
       replace them with new font packages.  Thanks to Hideki Yamane
       (Closes: #644768 and #652255);
     - add "latex-fonts-thai-tlwg" to Build-Depends-Indep.  Thanks Hideki!
  * [debian/patches/04_extend_examplefiles.diff] Rediff thai.tex.
  * [debian/README.source] Remove the section about patching, because it
     is rendered obsolete with Debian source "3.0 (quilt)".
  * [debian/TODO.Debian] Update.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 06 Jan 2012 05:36:00 +0100

cjk (4.8.2+git20090105-5) unstable; urgency=low

  * The "Find Kimchi" release.
  * [patches/09_fix_korean_fd_files.diff] Finally update the Korean font
    definition files to work together with the ko.tex packages instead of
    the obsolete HLaTeX packages.  This fixes "Some HLaTeX font references
    used by CJK are not available in ko.tex anymore" (Closes: #579321).
  * [debian/control]
     - Remove the build-dependency on the `sharutils' package: we do not
       use `uuencode' anymore in debian/rules since cjk (4.8.2+git20090105-1);
     - bump Standards-Version to 3.8.4; no changes.
  * [debian/source/format] Really switch to Debian Source v3.0 (quilt)
     this time.
  * [debian/rules]
     - We do not include the "thaifonts.tar.gz" file anymore, so we can
       remove this cleanup procedure;
     - remove binary ad other files in utils/ created during compile time;
     - fix the "get-orig-source" target to work with /bin/sh pointing to
       dash.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 16 May 2010 23:21:53 +0200

cjk (4.8.2+git20090105-4) unstable; urgency=medium

  * The "How do you hyphenate `Eve'" release.
  * Setting the urgency to "medium" because it fixes an important bug
    that renders parts of TeXlive not properly configured.
  * [control]
     - Move myself to "Uploaders", move Debian TeX Maintainers
       to "Maintainer", and add Norbert Preining to the list of
       Uploaders;
     - (Build-)Depend on tex-common (>= 2.04) in order to solve the
       bug below.
  * [rules] Switch from "dh_installtex [...] hyphen=pinyin,pyhyph.tex"
     to "[...] hyphen=pinyin,loadhyph-zh-latn.tex,lhm=1,rhm=1".
     The hyph-utf8 package requires all hyphenation patterns to be in
     UTF-8 encoding, and has its own modified pyhyph.tex file.
     Many thanks to Norbert Preining.  This fixes the bug "hyphenation
     definition is wrong, cannot be loaded with luatex" (Closes: #562198).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 28 Dec 2009 22:31:17 +0100

cjk (4.8.2+git20090105-3) unstable; urgency=low

  * The "Christmas present" release.
  * [control,rules,patches/*] Switch from dpatch to quilt to comply with
    the 3.0 (quilt) source format.
  * [rules] Switch from "language=" to "hyphen=" after dh_installtex.
  * [control]
     - Depend and Build-Depend on tex-common (>= 2.03) due to syntax
       changes with dh_installtex;
     - only use one email address in the "Maintainer" field: move the
       Debian TeX ML address to "Uploaders" instead and remove my own
       email address from the "Uploaders" field.  This should fix bug
       "Erroneous Maintainer field" (Closes: #561789); thanks to Florian
       Ernst for the bug report.
  * Rebuild against libkpathsea-dev as it has bumped to v5.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 21 Dec 2009 23:33:45 +0100

cjk (4.8.2+git20090105-2) unstable; urgency=medium

  * The "Doh, wrong version" release.
  * Setting the urgency to "medium" because it fixes an FTBFS.
  * [control]
     - Bump up the build-dependency of tex-common from (>= 1.18) to
       (>= 1.20);
     - Bump up the dependency on tex-common (>= 1.20) for every binary
       package;
     - bump Standards-Version from 3.8.2 to 3.8.3 (no changes);
     - add "Debian TeX maintainers" to the Maintainer: line;
     - add myself to the Uploaders: line.
  * [rules]
     - Bug fix: "FTBFS: cp: cannot stat `...{garuda,norasi}*.afm':", thanks
       to Lucas Nussbaum (Closes: #543025);
     - change the maintainer's email address.
   * [README.source] New file, that explains how the original source tarball
      is created.  This fixes a Lintian warning and is in compliance with
      Standards-Version 3.8.0.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Wed, 26 Aug 2009 23:14:17 +0200

cjk (4.8.2+git20090105-1) unstable; urgency=low

  * The "GIT+SVN" release.
  * New upstream release:
     - Fixes some XeLaTeX issues with the language files;
     - adds support for CID-keyed fonts in the Fontforge scripts;
     - adds the \CJKdigits* command to use the traditional form of
       "zero";
     - adds the \Unicode command to use vertical glyph representation
       forms;
     - uses the original font names of ThaiLaTeX 0.4.2;
     - DNP.txt is now renamed to wadalab.txt;
     - a new CJKnumb.txt document is available, which explains the "CJKnumb"
       package;
     - extra documentation in CJK.txt about using the beamer class in
       conjunction with CJKutf8.
  * [control]
     - Add Homepage tag;
     - switch from XS-Vcs to Vcs-*;
     - use Debian Alioth's SVN address instead of upstream's GIT
       address;
     - add a build-dependency on git-core and tex-common (>= 1.18), the
       latter providing trigger support;
     - add a dependency on tex-common (>= 1.18) for every binary package;
     - fix a fair Lintian warning by adding a dependency on ${misc:Depends}
       for latex-cjk-{all,korean,xcjk} and cjk-latex, ignoring a harmless
       warning from dpkg-gencontrol for latex-cjk-all and cjk-latex
       ("unknown substitution variable");
     - bump Standards-Version from 3.8.0 to 3.8.2 (no changes);
     - add a build-dependency on an unversioned thailatex, which should
       allow for a clean pbuilder/cowbuilder build.  Thanks to Norbert
       Preining.
  * [rules]
     - Bug fix: "bashism in debian/rules", thanks to Raphael Geissert
       (Closes: #535375);
     - add a new "get-orig-source" target to package the orig.tar.gz file
       from the upstream GIT repository directly;
     - upstream is now compatible with Type1 fonts from ThaiLaTeX v0.4.2,
       which deprecates the use of a prepackaged set of fonts.  The fontmap
       files now have a "-c90" appended to them, i.e. "norasi-c90" and
       "garuda-c90".
  * [thaifonts.tar.gz.uu] Removed, because CJK is now fully compatible with
     fonts from the ThaiLaTeX package.
  * [patches/00list] Remove 05_fix_examplefiles.dpatch from the list,
     as the upstream release now uses CJKutf8 and does not rely on the
     non-free Bitstream Cyberbit font anymore.  This also closes an
     Ubuntu bugreport requesting to replace the Cyberbit fonts in the
     example files (LP: #180529).  Also add patches 07 and 08.
  * [patches/*]
     - Modify them to support CJK version 4.8.2;
     - don't make these patches executable anymore.
  * [patches/04_extend_examplefiles.dpatch]
     - This patch has commented out the Korean part of the CJKutf8.tex
       file since May 2007, which closes an Ubuntu bugreport (LP: #137761).
  * [patches/07_remove_unnecessary_C_libs.dpatch] Add but do not yet apply
     this patch intended to fix some of the dpkg-shlibdeps warnings.
  * [patches/08_add_newpage_to_examples.dpatch] Add \newpage in the example
     files before \end{CJK*} to solve potential \write issues in longer
     documents when you include \tableofcontents.
  * [latex-cjk-common.docs] Add CJKnumb.txt to the list of documents.
  * [latex-cjk-japanese.install] Remove DNP.txt and add wadalab.txt.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Thu, 23 Jul 2009 23:05:49 +0200

cjk (4.8.0+git20080711-1) unstable; urgency=low

  * The "Copyright is the right to copy" release.
  * New upstream release:
     - incorporate SUN Wenchang's CJKspace package;
     - make the macron work again with Plain TeX in pinyin.sty;
     - make the macros in pinyin.sty robust.
  * [copyright] Major changes, adding several licenses and authorship
     information.  Thanks to Mark Hymers for pointing this out.
  * [patches/01_cvs-*.dpatch] Remove these files, as we now use GIT.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed, 23 Jul 2008 00:15:14 +0200

cjk (4.8.0+git20080522-1) unstable; urgency=low

  * The "I love you, XeLaTeX" release.
  * I build the .orig.tar.gz file now with
    "git-buildpackage --git-ignore-new --git-upstream-branch=master".
  * New upstream release:
     - add SUN Wenchang's xCJK bundle to add support for XeLaTeX;
     - some more information is added upstream to support Bitstream's
       Cyberbit font;
     - new command "\CJKbaselinestretch" to adjust the baseline stretch
       during vertical typesetting;
     - make \CJK@bold work with SJIS encoding too;
     - supports EUC-JP with DNP font encoding.
  * [compat] Upgrade from debhelper V5 to V7.
  * [changelog] Fix small typo.
  * [control]
     - Depend on debhelper (>= 7);
     - bump Standards-Version from 3.7.3 to 3.8.0;
     - remove ", hlatex-fonts-base, ${misc:Depends}" from the
       description in latex-cjk-korean.  Apparently I copied it
       as a reminder for me, but forgot to remove it afterwards.
       Thanks to Simon Huggins (Closes: #466398);
     - recommend "texlive-xetex" for latex-cjk-common;
     - create a new package called "latex-cjk-xcjk", which also suggest
       several DFSG-free TTF packages.  Most Thai fonts are still a bit
       problematic though;
     - let latex-cjk-common depend on texlive-font-utils instead of suggesting
       the deprecated freetype1-tools.  Thanks to Osamu Aoki and Norbert
       Preining (Closes: #482554).
  * [rules]
     - Fix bashisms.  Thanks to Raphael Geissert for the bugreport and
       Chris Lamb for the patch (Closes: #478363);
     - remove the generated hbf2gf.c at cleanup time to fix Lintian warning
       "patch-system-but-direct-changes-in-diff utils/hbf2gf/hbf2gf.c".
  * [latex-cjk-common.docs] Bug fix: "bashisms in docs files" (Closes: #480868).
  * [latex-cjk-common.install] Clean up the file.
  * [latex-cjk-japanese.install] Add EUC-JPdnp.enc.
  * [*.install,latex-cjk-common.examples] Fix so-called "bashisms".
  * [debian/xCJK-extended.{tex,pdf}] Add my own example file for xCJK, showing
     a lot more fonts that could be used on Debian.
  * [latex-cjk-xcjk.install] Install all the files for xCJK.
  * [patches/*] Modify to work with CJK version 4.8.0.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sat, 05 Jul 2008 23:06:38 +0200

cjk (4.7.0+git20080122-1) unstable; urgency=low

  * The "Shoe polish" release.
  * Acknowledge the NMU.  Thanks to Lucas Nussbaum.
  * New upstream release:
     - a few fixes for PinYin;
     - fix punctuation in GBK and math mode;
     - dvipdfmx can now make use the correct /ToUnicode CMap;
     - fix a few typo's.
  * [latex-cjk-japanese.install] Install DNP.sfd in
     /usr/share/texmf/fonts/sfd/.  Thanks to Gernot Hassenpflug
     (Closes: #434478).
  * [README.Debian]
     - change 10cyberbit.cfg into 20cyberbit.cfg.
    [README.Debian-msgothic] Add some DIY information how to get the Japanese
     Gothic font from Microsoft working under CJK.  This is largely based on
     Gernot Hassenplug's HOWTO.  This is a work in progress, however, as I've
     stumbled upon a segmentation fault in Fontforge.
  * [control]
     - Bump Standards-Version from 3.7.2.0 to.7.3;
     - make latex-cjk-korean depend on "ko.tex-extra-hlfont" instead of
       the old "hlatex-fonts-extra".  Thanks to Changwoo Ryu
       (Closes: #462025).
  * [rules]
     - fix bashism: apparently other shells don't understand the accolade.
       Thanks to Mario Bonino for the report and Lucas Nussbaum for the NMU
       which closed #457710;
     - change /usr/bin/rename to /usr/bin/prename;
     - don't install the empty "CEF/" directory in $TEXMF; the
       hbf-* packages will take care of this in the future.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed, 30 Jan 2008 18:53:24 +0100

cjk (4.7.0+git20070708-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fix bashism (use of {,}). Closes: #457710.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 20 Jan 2008 16:10:15 +0100

cjk (4.7.0+git20070708-1) unstable; urgency=low

  * The "arch enemy and indep nemesis battle together" release.
  * New upstream release:
     - fix the \ding PinYin syllable.
  * [rules]
     - Move several blocks of code from the install: target to the
       build: target.  Also create build-arch: and build-indep: targets.
       Moreover, I have finally discovered the -a and -i debhelper
       options.
       My gratitude goes towards Norbert Preining who helped me
       immensely to go through this process;
     - move latex-cjk-thai to the binary-indep: target.  At build time
       it needs to compile arch-dependent stuff, but in the end all the
       installed files are arch-independent;
     - no need to manually remove utils/hbf2gf/hbf2gf.c anymore when
       cleaning.
     - move latex-cjk-{korean,thai,all} and cjk-all from the
       binary-dep target to binary-indep.  This should remove a few
       warnings in the buildd logs.
  * [rules,patches/03_Makefile.dpatch]
     Add extra check to see if the upstream Makefile has been
     dpatched already.  If so, continue with the cleaning targets.
     This removes a Lintian warning.  Thanks to Norbert Preining.
  * [control] Put texlive-font-utils and sharutils back to
     Build-Depends-Indep, due to latex-cjk-thai truly being
     arch-independent now.
  * Temporarily add the Japanese HBF .fd files, so the Japanese
    hbf-* packages can be used with CJK.  I hope to overtake all
    the hbf-* packages and repackage them.  They will each
    individually contain the necessary .fd files.  Meanwhile, I
    will provide the .fd files only for in latex-cjk-japanese.
    This fixes "latex-cjk-japanese: c40song.fd is not included".
    Thanks to Francis Bond (Closes: #431038).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Mon, 09 Jul 2007 11:45:03 +0200

cjk (4.7.0+git20070504-5) unstable; urgency=low

  * The "I have had too many exams lately" release.
  * [watch] Removed, because we use GIT to track upstream changes.
  * [control] Put "texlive-*extra*-utils" and libkpathsea-dev in B-D,
     not "texlive-font-utils" (Closes: #421981), honestly.  Thanks to
     Norbert Preining, Bastian Blank and Lior Kaplan.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Thu, 28 Jun 2007 15:50:43 +0200

cjk (4.7.0+git20070504-4) unstable; urgency=low

  * [control] Put "texlive-extra-utils" in Build-Depends, not in
     Build-Depends-Indep, because I need "ctangle" to compile a
     binary command.  This should fix the problem for autobuilders,
     "FTBFS: ctangle: Command not found" (Closes: #421981).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sun, 24 Jun 2007 00:50:51 +0200

cjk (4.7.0+git20070504-3) unstable; urgency=low

  * [control]
     - minor cleanup, and add dependencies on "${misc:Depends}" and
       "${shlibs:Depends}".  Thanks to Florent Rougon;
     - we can now safely remove the backup dependency on teTeX completely;
     - change build-dependency on "libkpathsea4-dev" to "libkpathsea-dev".
       This should allow sucessful builds for arm and sparc architectures
       again, and allow the packages to go into testing on all architectures;
     - add XS-Vcs-* tags;
     - debhelper and dpatch stay in Build-Depends, rest goes to
       Build-Depends-Indep.
  * [rules]
     Add a few arguments after "dh_testdir" when cleaning, to make
     sure we're deleting the correct directory.  Thanks to Florent Rougon.
  * [README.Debian] Fix some issues in the Cyberbit section.
     Also add "updmap" fix, and mention that "texhash" and "updmap-sys"
     need to be run as root.  Thanks to Alain Bertrand and Daigo Moriwaki.
     This fixes "latex-cjk-all: Correct a description to intall Cyberbit",
     (Closes: #428909).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Sat, 16 Jun 2007 01:04:03 +0200

cjk (4.7.0+git20070504-2) unstable; urgency=low

  * [changelog,TODO] Small cleanup.  Thanks to Frank Küster.
  * [control] Don't depend on tetex-base anymore.  Thanks to Frank Küster.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Fri, 11 May 2007 00:35:17 +0200

cjk (4.7.0+git20070504-1) unstable; urgency=high

  * New upstream release.  Highlights:
     - allow vertical shifting for horizontal CJK glyphs (very
       handy for e.g. the Arphic fonts);
     - document special space handling for Emacs quail input method;
     - support T5 encoding;
     - switch to GIT repository.
  * [control]
     - Build-Depend on "texlive-extra-utils", which provides "ctangle".
       This fixes "FTBFS: ctangle: Command not found" (Closes: #421981).
       Thanks to Martin Michlmayr;
     - Build-Depend on "texlive-font-utils", which provides "fontinst";
     - rewrite the package information text of latex-cjk-korean.
  * [rules]
     - Add "dh_shlibdeps".  This fixes "FTBFS: hbf2gf: error while
       loading shared libraries: libkpathsea.so.4: cannot open shared
       object file: No such file or directory" (Closes: #422629).
       Thanks to Lucas Nussbaum, Michael Ablassmeier and Frank Küster;
     - build from the GIT source.
  * [rules] reverse the order of the build-dependency on TeX packages,
     making TeXlive the preferred flavour.
  * [README.Debian] make it clear that compiling fonts with Fontforge
     takes a *lot* of time, up to a full day.  This will only be relevant
     if you build the Debian package yourself.  Thanks Werner LEMBERG.
  * Make latex-cjk-all also depend on the font packages instead of a
    recommendation.  This will clear much of the confusion for new users.
    The font packages are only recommended by their respective latex-cjk-*
    subpackage, so you can still choose not to install them by uninstalling
    latex-cjk-all and keeping each individual latex-cjk-* subpackage.
  * [patches/04_extend_examplefiles.dpatch]
     - Add information about which texlive-lang-* packages need to be
       installed for all the different languages;
     - also comment out the Korean blocks in UTF-8; we're currently lacking
       some Unicode fonts;
     - extend the Big5.tex example; make use of Chinese captions.
  * [patches/06_extend_JIS_example.dpatch] the JIS example file now
     showcases all three Wadalab flavours (Mincho, Gothic and Maru),
     CJKcaption and Japanese section titles.
  * [*emacsen.*] Symlink the .el files in the compiled elisp
     directories from all the Emacs flavours as well, in order to please
     some functions like "M-x find-function".
     Also build the .elc files with (-)-no-site-file (Closes: #401679).
     Thanks to Agustin Martin.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed,  9 May 2007 06:37:06 +0200

cjk (4.7.0+cvs20061019-2) unstable; urgency=high

  * The "Purge the purging problem" release.
  * Urgency set to high because of an RC bug.
  * [*.postinst,*.postrm] remove these files.
    [rules] add dh_installtex to -common, -japanese and -korean
     instead of using their own *.post* scripts, allowing
     the CJK packages to be purged when kpsewhich isn't available
     anymore.  Thanks to Lucas Nussbaum (Closes: #392359).
  * [rules] pyhyphen got priority 10, making it the preferred
     hyphenation table.  This would give strange results, such as "g-rou-ps",
     because "rou" is a Mandarin Chinese syllable.
     I've set pyhyphen's priority to 20 now.  Thanks for reporting this,
     Dylan Thurston (Closes: #399447).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Thu, 23 Nov 2006 00:47:38 +0100

cjk (4.7.0+cvs20061019-1) unstable; urgency=low

  * The "All Saints Day" release.
  * New upstream release.  Highlights:
     - documentation updates;
     - handle 0x80 in UTF8 and CJK.sty.  Thanks to Gulfstream
       for the Debian bug report (Closes: #396142);
     - more tidbits for glyphs > U+FFFF.
  * [changelog] remove all the debian/ subdirectory references.
     Efficiency has improved yet again with 0,15%.
  * [watch] change
     http://cjk.ffii.org/index.html cjk-current\.tar\.gz into
     http://cjk.ffii.org/index.html cjk-(.*)\.tar\.gz .  Let's
     see what difference it makes.
  * [rules] according to Debian Policy section 4.6, it is advised
     to use a double ampersand instead of a semicolon because of
     "sh"'s poor error trapping.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed,  1 Nov 2006 00:31:57 +0100

cjk (4.6.0+cvs20060930-2) UNRELEASED; urgency=low

  * The "Shoe polish" release.
  * [control]
     - change typo "latex-cjk-base" into "latex-cjk-common".
       Thanks to Braun Gabor (Closes: #393222);
     - conflict with "latex-cjk", the package name I used on
       Alioth for a while when the Debian package was still
       monolithic.  Thanks to LUK ShunTim (Closes: 392982);
     - don't depend on the Arphic font packages but recommend
       them instead.  Thanks to Chen Haifeng.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed, 25 Oct 2006 18:53:39 +0200

cjk (4.6.0+cvs20060930-1) UNRELEASED; urgency=low

  * The "Whoa!" release.
  * New upstream release.  Highlights:
     - PDF files compiled by pdfTeX/pdfLaTeX will from now on have
       copy/paste abilities in CJKutf8; dvipdfmx-produced PDF files OTOH
       have since long been able to copy/paste characters, and is not
       restricted to CJKutf8;
     - fix position of \part in ToC;
     - fix use of \chapter in KOMA's scrartcl;
     - caption texts for KOMA now also for UTF-8;
     - fix \CJKbold to coexist with the "fourier" package;
     - several Debian patches are now implemented upstream;
     - hlatex2agl.pl now takes an extra argument for the SFD file;
     - wftodm.c now compiles cleanly on AMD64.
  * [latex-cjk-{chinese,japanese,korean}.install] install the
     new .cpx files.
  * [latex-cjk-korean.install] don't install c70mj.fd.
     It's pretty useless without the fonts.
  * [rules] remove the ctangle generated utils/hbf2gf/hbf2gf.c
     after building the .deb packages.  This line will disappear when
     version 4.8.0 gets packaged.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Tue,  3 Oct 2006 03:30:50 +0200

cjk (4.6.0+cvs20060714-2) unstable; urgency=low

  * The "Where's that bug repellent?" release.
  * Upload sponsored by Frank Küster <frank@debian.org>.
  * [arphic-sampler.tex] change \usepackage{CJK} into
     \usepackage[T1]{CJKutf8}.
  * [patches/05_fix_examplefiles] fix UTF8.tex (cyberb00->cyberbit00).
  * [rules] Mamma mia!  I forgot to rename norasi.* to
     norasin.* and garuda.* to garudan.*.  Now Thai works 100%.
  * [README.Debian]
     - add a new section "Example files" and mention that the package
       "type1ec" that is sometimes used in the example files require
       the package "cm-super" to be installed.  This has however
       nothing to do with CJK;
     - mention the example files that don't work (yet).  This is mostly
       because of the absence of Korean fonts in Unicode.  I'm working on
       it with the upstream author.
  * [control]
     - make everything binNMU-safe;
     - change the maintainer's email address.
  * [changelog]
     - cosmetic changes;
     - change the maintainer's email address from danai.sae-han@skynet.be
       to @edpnet.be.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@edpnet.be>  Wed,  6 Sep 2006 06:47:22 +0200

cjk (4.6.0+cvs20060714-1) unstable; urgency=low

  * The "Thank you Frank" release.
  * Upload sponsored by Frank Küster <frank@debian.org>.
  * New upstream release: fixes typo in ChangeLog.
  * [rules] ctangle causes an FTBFS on my new AMD64
     because of an @ sign, even though it's commented.  Dunno why it
     happens, but in the meantime I added a sed command to change it to
    "_at_".  It's also removed at the start of every build.
  * [cjklatex.1]
     use only one manpage and symlink it to all *latex batch commands.
     bg5latex.1, bg5+latex.1 and sjislatex.1 in debian/ are therefore
     also removed.
  * [control]
     - change dependency from libkpathsea4-dev to libkpathsea-dev
     - add build-dependency on perl-base (>=5.8.0) and tetex-bin
     - recommend the official freetype1-tools (>= 1.4pre.20050518-0.3)
       instead of my own version.
  * [patches/04_fix_undiffing.dpatch]
     add some GPL headers back before cleaning because they get removed
     when the .c files are recreated by ctangle.  This causes "dpatch
     deapply" to fail, because it expects those GPL headers to be still
     there, just like in the upstream tarball.
  * [README.Debian] some small corrections in the Cyberbit
     section.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 29 Jul 2006 15:20:06 +0200

cjk (4.6.0+cvs20060425-4) unstable; urgency=low

  * [control] Remove "latex-cjk-korean-hlatex" from the
     Recommends: line; it's not yet packaged.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Tue, 23 May 2006 22:41:38 +0200

cjk (4.6.0+cvs20060425-3) unstable; urgency=low

  * [control] remove "latex-cjk (<= 4.6.0+cvs20051031-10)"
     from the Conflicts: line.  No need to conflict with packages
     that do not exist in the official Debian branches.  Thanks to
     Norbert Preining.
  * [copyright]
     - mention that the debian/ directory is also released under the GPL;
     - mention the whereabouts of Thailatex.
       Thanks to Frank Küster.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu, 18 May 2006 23:07:26 +0200

cjk (4.6.0+cvs20060425-2) unstable; urgency=low

  * New maintainer: Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>.
  * [control] add "latex-cjk (<= 4.6.0+cvs20051031-10)" to the
     Conflicts: line of latex-cjk-all.
  * [latex-cjk-common.emacsen-*] change "latex-cjk" to
     "latex-cjk-common".  Thanks to Norbert Preining.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 13 May 2006 11:45:24 +0200

cjk (4.6.0+cvs20060425-1) unstable; urgency=low

  * The binary package "latex-cjk" has been renamed to
     "latex-cjk-common".  Thanks to Ming Hua for the tip.
  * [Makefile] remove all unnecessary comments.
  * [copyright] change 1998 to 2006, and change the upstream
     tarball location to http://cjk.ffii.org/cjk-current.tar.gz
  * [control] remove the names of Lemberg and Fok, modify the
     description of latex-cjk-chinese a bit and make the packages
     conflict with cjk-latex (<=4.5.1) rather than (<=4.5.1-4).
  * [README.Debian] I rewrote parts of it:
     - I forgot to translate some parts from Dutch to English;
     - remove the part about ttf2pk; I haven't tested it thoroughly
       enough;
     - latex-cjk-thai provides its own PFB fonts since
       4.6.0+cvs20051031-4;
     - minor changes to the Cyberbit section.
  * [control]
     - bump the Standards Version to 3.7.2.0; no changes required;
     - mention in latex-cjk-korean that I will upload UTF-8 compatible;
       fonts ASAP.
  * [watch] add a watch file and set it to
     http://cjk.ffii.org/index.html cjk-current\.tar\.gz.
  * Use a more recent upstream version from CVS.  Highlights:
     - new encoding "HK" (C05) for Hong Kong's HKSCS-2004;
     - Unicode and document fixes;
     - some updates for Korean scripts;
     - add GPL copyright to most files.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun,  7 May 2006 23:46:26 +0200

cjk (4.6.0+cvs20051031-10) experimental; urgency=low

  * [control] depend on tex-common (>=0.19) because of typo
     in dh_installtex.  Thanks to Norbert Preining.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Mon, 13 Mar 2006 14:21:27 +0100

cjk (4.6.0+cvs20051031-9) experimental; urgency=low

  * [control] use a versioned "Conflicts: tfm-arphic-@TYPEFACE@
     (=2.11.2-0.1)" field of latex-cjk-chinese, otherwise you can't
     install the Arphic font packages.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Tue, 28 Feb 2006 05:49:06 +0100

cjk (4.6.0+cvs20051031-8) experimental; urgency=low

  * [rules] depend on tex-common (>=0.18) because of a bug in
     dh_installtex.  Thanks to Norbert Preining for pointing this out.
  * [10texlive-lang-cjk.cnf,latex-cjk-chinese.post{inst,rm}]
     remove them, because dh_installtex already takes care of this.
     Thanks again to Norbert Preining.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 26 Feb 2006 00:02:22 +0100

cjk (4.6.0+cvs20051031-7) experimental; urgency=low

  * Mention Osamu Aoki's remark about the fuzzy licenses of the
     twmoe-{kai,sung} fonts in README.Debian.
  * We don't depend on a non-DFSG font anymore: UTF8/c70song.fd that
     contains the Cyberbit font definitions is not installed anymore.
     (Closes: #253398)
  * Use the new dh_installtex command to install the hyphenation patterns
     and babel language files, and replace dh_installtexfonts as well by this
     new command.  Depend on tex-common (>=0.17).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sat, 25 Feb 2006 00:13:23 +0100

cjk (4.6.0+cvs20051031-6) experimental; urgency=low

  * The "Final touches" release.
  * PDF, PS and DVI versions of the example files are no longer provided.
     They were (IMHO) useless anyway, and just consumed space unnecessarily.
  * [arphic-sampler.tex] use an updated Arphic examples files for
     the latex-cjk-chinese package, and remove the old arphic.tar.gz.uu
     with PDF files in the Debian source package.
  * Use dpatch for the modifications to the upstream Makefile.
  * [control] add sharutils back in Build-Depends (the Thai fonts
     come UUencoded in the Debian source package).
  * [control] make tfm-arphic-* conflict conflict with the
     latex-cjk-chinese package (thanks Anthony Fok).
  * [control] Provide the "cjk-latex" transitional dummy package
     inside this "cjk" package, not a separate "cjk-latex" package.  It
     saves quite some space (thanks Ming Hua).
  * [control] Change the architecture of latex-cjk-{korean,thai,all}
     to "all", but leave that of latex-cjk{,chinese,japanese} to "any"
     (thanks Ming Hua).
  * [control] Make some esthetical changes to the package descriptions.
  * Remove debian/{postinst,preinst,prerm}.  They were useless anyway since
     every package now has its own debhelper script.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Fri,  6 Jan 2006 13:06:27 +0100

cjk (4.6.0+cvs20051031-5) experimental; urgency=low

  * Aaaargh!  I forgot to remove thailatex from the Build-depends in
     debian/control.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Fri, 30 Dec 2005 08:21:41 +0100

cjk (4.6.0+cvs20051031-4) experimental; urgency=low

  * Remove utils/hbf2gf/config.log when cleaning; the logfile remains
     when a prior debuild process was abruptly killed.
  * Depend on tex-common (>=0.14), because it fixes the creation of
     config.garuda and config.norasi.  Now `dvips -Pgaruda -Pnorasi bla.dvi´
     works like a charm, even if both garuda.map and norasi.map are disabled
     in /etc/texmf/updmap.d/10latex-cjk-thai.cfg, which is the whole point
     of using the -P option.
  * Depend on tetex-base (>=3.0), if you use teTeX.
  * Also support installation in TeXlive distribution, by depending on
     texlive-base-bin and texlive-latex-base in that case.  Thanks to
     Norbert Preining.
  * Add the "pinyin" Babel file and the "pyhyph" hyphenation pattern file.
     pyhyph is only useful for pinyin syllables  without accents.
     Install the "pytest.tex" example file as well.
     Mind though, the other "py_test.tex" is to test PinYin writing,
     not PinYin hyphenation.
  * Move the Thai Babel language file "thaicjk.ldf" to the correct place.
  * Provide our own Thai AFM and Type1 fonts again, rename them into
     8.3 style filenames (the default upstream procedure) and remove
     "thailatex" from the dependency list.
     Reason: thailatex is still incompatible with Debian's teTeX3 and
     TeXlive packages.
  * Fix the dh_link commands in debian/rules: remove the leading slash
     from the paths.
  * Do not build-depend on latex-cjk-chinese-arphic-* anymore.
  * Make the Perl scripts in /usr/share/latex-cjk/utils/ executable.
  * Install the Emacs Lisp scripts the Debian way.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu, 29 Dec 2005 00:22:06 +0100

cjk (4.6.0+cvs20051031-3) experimental; urgency=low

  * Revert the last update: install the Thai map files back to
     /usr/share/texmf/fonts/map/dvips/latex-cjk-thai/.
  * Change "unstable" to "experimental" in the changelog.
  * Let latex-cjk-thai depend on thailatex (it provides the .pfb Type1 fonts).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Wed, 21 Dec 2005 17:13:53 +0100

cjk (4.6.0+cvs20051031-2) experimental; urgency=low

  * Move Thai map files from
     /usr/share/texmf/fonts/map/dvips/latex-cjk-thai/ to
     /usr/share/texmf-tetex/fonts/map/dvips/latex-cjk-thai/.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 18 Dec 2005 00:32:20 +0100

cjk (4.6.0+cvs20051031-1) experimental; urgency=low

  * The "Yatta!" release.  Finally updated to CJK 4.6.0, which brings
     along a lot of changes and fixes.  Have a look at
     /usr/share/doc/latex-cjk/history.txt.
  * Since the upstream source tarball is called "cjk-4.6.0", change the
     Debian source SONAME to "cjk" instead of "latex-cjk".
  * Remove the symbolic link from history.txt.gz to changelog.gz: the
     source package has a real changelog file.  The history.txt.gz file
     will still be provided in the docs.
  * Makefile: major cleanup and comment out redundant lines.
  * Depend on Debhelper 5.
  * Make latex-cjk-japanese depend on latex-cjk-japanese-wadalab.
  * Make latex-cjk-chinese depend on latex-cjk-arphic-*.
  * Depend on  tetex-base (>=3.0).
  * Depend on tex-common (>=0.13) because of new --flavor option in
     dh_installtexfonts.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Fri, 16 Dec 2005 23:59:20 +0100

latex-cjk (4.5.1+0.20030319-12) experimental; urgency=low

  * Put latex-cjk-japanese-wadalab-fonts in Recommends, not Suggests.
  * Create latex-cjk-korean-wansong-fonts, and put it in the Recommends
     line of latex-cjk-korean.
  * Cosmetic changes in debian/control.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 11 Sep 2005 14:50:01 +0200

latex-cjk (4.5.1+0.20030319-11) experimental; urgency=low

  * Put the Japanese Wadalab fonts in a seperate package, called
     latex-cjk-japanese-wadalab-fonts, and put it in latex-cjk-japanese's
     Suggest line.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Tue,  6 Sep 2005 22:46:15 +0200

latex-cjk (4.5.1+0.20030319-10) experimental; urgency=low

  * /usr/share/texmf/hbf2gf has been accepted as a TEXMF
     topdirectory.  Frank Küster has already manually closed the bug
     (was Bug nr.262967).
  * I've packed all fonts and other binaries (DVI, PS.gz, PDF) in
     uuencoded tarballs ("sharutils" has been added to Build-Depends).
     When building from source, these packages will be automatically
     decoded (debian/rules).  This allows me to use .orig.tar.gz and create
     a diff file.  But it does create a humongous (25MB) gzipped diff file.
     Perhaps it's time to put those fonts in other packages...
  * Adjust the new FSF address in debian/copyright.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 14 Aug 2005 02:50:45 +0200

latex-cjk (4.5.1+0.20030319-9) experimental; urgency=low

  * The "Squash those bugs" release.
  * I completely forgot to include the binary and the configuration
     files of hbf2gf, except for the manpage.  Hurm.  I've put it in -base.
     Excuse of the day: who uses bitmap fonts anyway?
  * debian/control: finetuning several Suggest lines (all HBF
     related).  Also add "cjk-latex" to Provides.
  * Oops, I actually forgot to put the Wadalab font definition files
     in the TEXMF tree.
  * debian/postinst: Remove prehistoric fix for texmf.cnf, which has
     already been addressed by tetex-bin years ago. (Closes: #285198)
  * hbf-kanji48 is in the Suggests field for quite some
     time now. (Closes: #183755)
  * cjk-latex version 4.2.0 has been banned to the darkest pits of
     Debian oldstable (woody).  CJKulem.sty has since then been
     included in the Debian package. (Closes: #169273 and #169286)
  * Provide manpages for sjislatex, bg5latex and bg5+latex.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Wed, 10 Aug 2005 00:24:14 +0200

latex-cjk (4.5.1+0.20030319-8) experimental; urgency=low

  * Fixed the symbolic link for the Japanese Type1 Wadalab fonts.  I
     actually forgot to add "dh_link" in debian/rules.
  * teTeX 3.0 comes with different commands to update the font map files.
     You are advised to put the new TeTeX package on hold untill I can fix
     some issues.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu,  4 Aug 2005 22:37:46 +0200

latex-cjk (4.5.1+0.20030319-7) experimental; urgency=low

  * The "Mea culpa, mea maxima culpa" release.
  * Gah!  latex-cjk-base installed all its texmf files in
     /usr/share/texmf/tex/latex instead of /usr/share/texmf/tex/latex/CJK.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Wed, 27 Jul 2005 23:17:56 +0200

latex-cjk (4.5.1+0.20030319-6) experimental; urgency=low

  * Gah!  I forgot to adjust the Conflicts: tag for the non-base
     packages!  Shame on me...

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Mon, 25 Jul 2005 01:05:20 +0200

latex-cjk (4.5.1+0.20030319-5) experimental; urgency=low

  * New maintainer.  w00t!
  * I have provided a dummy package cjk-latex (thanks Carlos Liu).
     I set the conflict to cjk-latex (<= 4.5.1-4) accordingly, and
     latex-cjk now replaces cjk-latex; debiandoc-sgml recognizes
     this; let's hope the hbf-* and tfm-arphic-* packages will too.
  * From version -4.3 onwards, I made a mistake with the versioning
     numbers: I set it to 20030319 while it should have been 20030318.
     Gah!  Too late now though.
  * [postrm] cosmetic changes.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 24 Jul 2005 22:28:47 +0200

latex-cjk (4.5.1+0.20030319-4.5) experimental; urgency=low

  * NMU.
  * Split the package into latex-cjk (virtual package for all packages),
     latex-cjk-chinese, latex-cjk-japanese, latex-cjk-korean,
     latex-cjk-thai and latex-cjk-base.
  * Cosmetic changes in postinst, and change
     /var/lib/texmf/web2c/texmf.cnf back into /etc/texmf/texmf.cnf.
  * Cosmetic changes in debian/control.
  * Added a "copyright" file and removed COPYING.
  * Bump the Standards Version to 3.6.2.1.  But we still need some decent
     manpages.  Aaargh!
  * Add a lot more in the TODO.Debian list.  *sigh*
  * Depend on debhelper (>=4.2.32).  Yay!
  * Remove debian/*.conffiles; it's not needed anymore since debhelper 4.
  * Add the DVI files in the examples directory.
  * Run mktexlsr and update the map files after a purge (debian/*postrm)
     and installation (debian/*postinst).

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu, 14 Jul 2005 13:10:11 +0200

latex-cjk (4.5.1+0.20030319-4.4) experimental; urgency=low

  * NMU.
  * Fix an installation error ($TEXMF/dvips/base wasn't created).
  * Hopefully fix the problem with tetex-base this time.
  * Bump the Standards Version to 3.6.1.1.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Thu,  8 Jul 2004 00:14:39 +0200

latex-cjk (4.5.1+0.20030319-4.3) experimental; urgency=low

  * NMU.
  * tetex-base 2.0.2-7 already has /usr/share/texmf/dvips/config.
  * Bump the dependency of tetex-base to >=1.0-2 and of tetex-bin to >=1.0.7.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Sun, 25 Apr 2004 00:46:30 +0200

latex-cjk (4.5.1+0.20030318-4.2) experimental; urgency=low

  * NMU.
  * Changing names because of interference with the original package.
  * I'm using the CVS version up to 2003-03-18, because I haven't managed
     (yet) to make vertical writing with PStricks work.
  * Added a THANKS file.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Wed, 31 Mar 2004 00:00:20 +0200

cjk-latex (4.5.1-4.1) experimental; urgency=low

  * Non-maintainer release.
  * Fix broken font names in .fd and ttfonts.map files. (Closes: #322010)
  * Change "cyberb" into "cyberbit".  No need for ridiculous MS-DOS
     8.3 filenames on Debian.  This change is also affected in an NMU
     of freetype1-tools.
  * Big5, GB2312, CEF, Korean, Thai and UTF should work out of the box now;
     Japanese works too (JIS and SJIS encoding; HBF and DNP fonts).
  * Include Japanese, Korean and Thai fonts.  (Closes: #165350,
     #184187 and #67284)
     Thanks to Starosta for the Korean fonts from TeXlive.
  * Include PostScript versions of example files, just to show off.
  * debian/*: recode in UTF-8.

 -- Danai SAE-HAN (韓達耐) <danai.sae-han@skynet.be>  Fri, 19 Dec 2003 10:35:36 +0100

cjk-latex (4.5.1-4) unstable; urgency=low

  * CVS update as of 2003-02-11.
  * For configuring hbf2gf, the --with-kpathsea-dir option has been
     changed to --with-kpathsea-lib and --with-kpathsea-include, except
     that I was oblivious and did not notice the change to fix my
     Makefile.  Many thanks Atsuhito Kohda for catching this packaging
     bug.  (Closes: #183754)
  * Added hbf-kanji48 to Suggests and Description.  See Bug#183755
     for further development.

 -- Anthony Fok <foka@debian.org>  Sat,  8 Mar 2003 02:42:40 +0800

cjk-latex (4.5.1-3) unstable; urgency=low

  * Rebuild to get the correct versioned dependency on libc6 (>= 2.3.1-1).
     Thanks to Daniel Mueller for the bug report.  (Closes: #168933)

 -- Anthony Fok <foka@debian.org>  Thu, 14 Nov 2002 01:49:04 +0800

cjk-latex (4.5.1-2) unstable; urgency=medium

  * Oops, I forgot to compile and install the new extconv utility.  Fixed.
     Thanks to Magnus Pfeffer for the bug report.  (Closes: #165355)
  * Installed existing man pages for *conv.
  * I'll fix the other issues at a later time, perhaps after reviewing
     Mike Fabian's excellent CJK LaTeX RPM for SuSE.  :-)

 -- Anthony Fok <foka@debian.org>  Sat, 19 Oct 2002 03:15:12 +0800

cjk-latex (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Note: This Debian CJK package is far from perfect.  There is lots
          of room for improvement, e.g. improving font settings and
          improving Japanese and Korean support (see Mike Fabian's SuSE
          CJK RPM).  Please feel free to give me criticism and suggestions
          by filing bug reports against cjk-latex!  :-)

 -- Anthony Fok <foka@debian.org>  Fri,  9 Aug 2002 08:10:33 +0800

cjk-latex (4.2.0-3) unstable; urgency=low

  * s/freetype-tools/freetype1-tools/g;
  * Added gen-arphic-map.pl to generate arphic.map installed in
     /etc/texmf/dvips/ .
  * Added experimental "embed Arphic PL Chinese TrueType fonts" support.
     Special thanks to Werner Lemberg, Yong Li (Rigel), and other TeXperts
     on pdftex and debian-chinese mailing lists for showing me how.  :-)

     Note: You need to manually add "map +p arphic.map" to your pdftex.cfg!

  * Added a note in README.Debian to describe this new feature.

 -- Anthony Fok <foka@debian.org>  Sun, 20 May 2001 16:34:21 -0600

cjk-latex (4.2.0-2) unstable; urgency=low

  * Re-added "dpkg-divert --remove" in postrm and now also in preinst
     in case there is any old cruft leftover from 4.2.0-0.5 or before.
     Closes: Bug#77571.
  * Depends on libkpathsea3 instead of the old tetex-lib; Build-Depends
     is also changed accordingly.  Also Depends on the recompiled
     freetype-tools (>= 1.3.1-3) because older versions depended on tetex-lib.
     Closes: Bug#80118.

 -- Anthony Fok <foka@debian.org>  Wed, 20 Dec 2000 15:23:57 -0700

cjk-latex (4.2.0-1) unstable; urgency=low

  * Standards-Version: 3.1.1
  * [control] Also Suggests: tfm-arphic-{bkai,bsmi,gkai,gbsn}00{l,m}p
      Arphic PL TrueType fonts.  :-)
  * [README.Debian] Updated suggested list of Chinese font packages,
     added how to access the various fonts available for Debian,
     and made a note that tetex-bin (1.0.6-1) has added the HBF fontpath
     to T1FONTS.
  * Removed old, ugly kludges which diverted mktextfm and special.map
     from teTeX with our own.
  * Added appropriate c{00,10}{akai,kai,amng,ming,asng,song}{,r}.fd
     files for the Arphic PL fonts.  :-)
  * Added /usr/share/doc/cjk-latex/examples/Arphic_test.tex to showcase
     the newly packaged Arphic PL fonts.  :-)

 -- Anthony Fok <foka@debian.org>  Thu, 23 Dec 1999 16:42:12 -0700

cjk-latex (4.2.0-0.5) unstable; urgency=low

  * [Makefile] Install cjk*.el in /usr/share/emacs/site-lisps.
  * [postinst] Use "/usr/bin/mktexlsr /usr/share/texmf" instead of
     just "/usr/bin/mktexlsr" to save time.
  * Added c00moekai.fd and c00moesng.fd.
  * [control]
     - Also Suggests: new Big5 TrueType font packages ttf-twmoe-kai
       and ttf-twmoe-sung.

 -- Anthony Fok <foka@debian.org>  Sat,  1 May 1999 05:25:37 -0600

cjk-latex (4.2.0-0.4) unstable; urgency=low

  * [postrm] Add "|| true" in the dpkg-divert call so it won't
     complain to dpkg too much when "postrm upgrade" is run.
  * [control]
     - Also Suggests: new Big5 bitmap font package hbf-cns40-b5.
     - Removed the note about the preliminary status in the
       description.  cjk-latex now works out of the box!
       More or less anyway.  :-)
  * Updated README.Debian and TODO.Debian.

 -- Anthony Fok <foka@debian.org>  Thu, 15 Apr 1999 13:34:17 -0600

cjk-latex (4.2.0-0.3) unstable; urgency=low

  * [control] Suggests: hbf-jfs56 instead of jfs56
     because that font package has been renamed.

 -- Anthony Fok <foka@debian.org>  Wed, 14 Apr 1999 17:40:23 -0600

cjk-latex (4.2.0-0.2) unstable; urgency=low

  * [control] Suggests: jfs56, the first Debian Chinese font
     package that works with cjk-latex!  Now, you should be able to
     generate Chinese GB-encoded .dvi files out of the box without
     tweaking CJK or teTeX's config files!  :-)  Other font packages
     will be added in the future (when I or others have more time.)
  * [Makefile] Oops, the hbf2gf configuration files were installed
     in the wrong directory.  Fixed.
  * [preinst,postrm] Added commands to divert /usr/bin/mktextfm and
     /usr/share/texmf/fontname/special.map.  First, to fix bug;
     second, to add CJK font names so the .tfm and .*pk files get
     created in the proper directories.
  * [postinst] Add the HBF font path to the T1FONTS variable in
     /etc/texmf/texmf.cnf.
  * Updated README.Debian.

 -- Anthony Fok <foka@debian.org>  Mon, 12 Apr 1999 04:02:01 -0600

cjk-latex (4.2.0-0.1) unstable; urgency=low

  * Preliminary maintainer release #3.
  * Rebuilt with glibc-2.1 and tetex-lib (shared kpathsea library).
  * [Makefile] Changed $(prefix)/share/texmf to $(prefix)/lib/texmf
     for the new FHS-compliant directory layout in teTeX.
  * [control] Updated dependency to be FHS-compliant:
     - Depends: tetex-base (>= 0.9.990311-1), tetex-bin (>= 0.9.990310-1)
     - Recommends: freetype-tools (>= 1.2-4)
  * [postinst] Removed the hack which fixed a previous version of
     /usr/bin/mktexpk.  Since it has been fixed upstream in the latest
     teTeX, the hack is no longer needed.  Likewise, changed
     /usr/lib/texmf to /usr/share/texmf.

 -- Anthony Fok <foka@debian.org>  Mon,  5 Apr 1999 17:50:00 -0600

cjk-latex (4.2.0-0) unstable; urgency=low

  * New upstream release.

 -- Anthony Fok <foka@debian.org>  Thu, 18 Feb 1999 10:31:12 -0700

cjk-latex (4.1.3-0) unstable; urgency=low

  * Initial Preliminary Release.
  * Note: This Debian package is at a very preliminary stage.  The
    necessary font files are not packaged yet, and you may need to
    spend quite a bit of time tweaking teTeX's configuation files to
    get cjk-latex working.  Only for alpha testers and those in urgent
    need of cjk-latex.  :-)

 -- Anthony Fok <foka@debian.org>  Fri, 25 Dec 1998 12:28:03 -0700
